Aggiornamento delle note di rilascio di Amazon Linux 2022 - Amazon Linux 2022

Amazon Linux 2022 è in versione di anteprima e le funzionalità, i pacchetti e le versioni dei pacchetti inclusi nella versione di anteprima sono soggetti a modifiche.

Le traduzioni sono generate tramite traduzione automatica. In caso di conflitto tra il contenuto di una traduzione e la versione originale in Inglese, quest'ultima prevarrà.

Aggiornamento delle note di rilascio di Amazon Linux 2022

Aggiornamenti principali

Questa è una Release Candidate (RC) aggiornata per Amazon Linux 2022 (AL2022), RC2.2.

Un RC è una versione quasi pronta per il rilascio, ma è ancora in fase di test. Un RC riceve solo patch e correzioni di bug che portano alla versione Amazon Linux 2022 Generally Available (GA). Un set di funzionalità di distribuzione GA è stabile e non sono previsti cambiamenti importanti tra le versioni RC finali e GA.

Una versione RC non è destinata ai carichi di lavoro di produzione. È destinato a scopi di test e per aiutarti a prepararti per la migrazione ad Amazon Linux 2022.

Amazon Linux 2022 include i seguenti aggiornamenti principali.

  • Questa versione rappresenta la Release Candidate (RC2.2) aggiornata per Amazon Linux 2022. Puoi usare la Release Candidate per testare la compatibilità con le tue applicazioni o prepararti alla migrazione ad Amazon Linux 2022.

  • A partire dalla Release Candidate 0 (RC0), SELinux è passato da una modalità esecutiva a una permissiva per impostazione predefinita. È possibile modificare le impostazioni di SELinux in modalità forzata tramite riga di comando eseguendo ilsetenforce comando.

  • Ilpcre pacchetto precedente è obsoleto e verrà rimosso in una versione future di Amazon Linux. Ilpcre2 pacchetto è il successore e i pochi pacchetti rimasti in Amazon Linux 2022 che dipendono dallapcre libreria obsoleta verranno migratipcre2 negli aggiornamenti future.

Problemi noti
  • Amazon Linux 2022 contiene un problema noto per cui i server NTP definiti dal cliente tramite DHCP non vengono rispettati.

    Soluzione alternativa: configurare i server NTP utilizzando un file di configurazione in/etc/chrony.d

  • L'attivazione della modalità FIPS non è attualmente supportata e nelle prossime versioni verranno apportate modifiche al funzionamento di un sistema abilitato alla modalità FIPS.

  • L'installazionecollected-java non riesce perché il pacchetto Amazon Corretto non annuncia la fornituralibjvm.so. Una volta aggiornato il pacchetto Amazon Corretto, l'collectd-javainstallazione dovrebbe funzionare.

    Soluzione alternativa ‐ Installa manualmente conrpm —nodeps -i collectd-java-5.12.0-16.amzn2022.0.1.x86_64.rpm.

Aggiornamenti di sicurezza

Contattaci

Se riscontri un problema di sicurezza, contatta il nostro team di sicurezza anziché aprirlo.

Utilizziamo GitHub i problemi per raccogliere feedback su Amazon Linux 2022 e per tenere traccia delle segnalazioni di bug e delle richieste di funzionalità. Puoi esaminare i problemi esistenti per vedere se la tua preoccupazione è già nota. In caso contrario, apri un nuovo numero.

Se hai solo domande su Amazon Linux 2022, non esitare a iniziare o partecipare a una discussione. Il feedback su Amazon Linux 2022 può essere fornito anche tramite ilAWS rappresentante designato.

Principali modifiche rispetto alla prima versione di Tech Preview a RC0

  • Kernelaggiornato dal 5.10 al 5.15

  • OpenSSLaggiornato dalla versione 1.1 alla 3.0

  • AWS CLIaggiornato allaAWS CLI v2

  • AWSGli strumenti presenti in Amazon Linux 2 sono stati aggiunti ai repository comeecs-agentaws-cfn-bootstrapaws-kinesis-agent,ec2-instance-connect, e altri strumenti.

  • rsyslognon è più installato di default e quindisyslog funziona così, conjournalctl il client che può esaminare i log.system-journald

  • L'impostazione predefinitacurl fa parte delcurl-minimal pacchetto, che supporta i protocolli più diffusi. Puoi passare alla funzionalità completa,curl se necessario, eseguendodnf install --allowerasing curl-full libcurl-full

  • L'impostazione predefinitagnupg è minima, con funzionalità limitate, ma contiene il codice minimo necessario per verificare gli RPM tramite GPG e introduce un numero minimo di pacchetti nelle AMI e nelle immagini dei contenitori. Se hai bisogno dignupg funzionalità complete, puoi ottenere il massimognupg eseguendodnf install --allowerasing gnupg2-full

  • Cura dei pacchetti - Come parte del ciclo di sviluppo, abbiamo curato l'elenco dei pacchetti disponibili nei repository. Ciò ha comportato la rimozione di una serie di pacchetti che non erano più necessari a causa delle dipendenze. Alcuni pacchetti possono essere aggiunti nuovamente al repository man mano che elaboriamo le richieste dei clienti.

  • I tempi di esecuzione delle lingue sono stati aggiornati e alcuni runtime come Ruby sono stati distanziati tra i nomi, consentendo di aggiungere versioni più recenti in future senza rimuovere quelle correnti dai repository.

  • L'ecosistema Java è ora basato su Amazon Corretto 17 anziché su OpenJDK 11. Gli strumenti di compilazione Java sono stati ricostruiti in versioni più recenti ed eseguiti con Amazon Corretto.

Kernel CONFIG_HZ è cambiato da250 a100 su entrambiarm64 ex86.

La configurazione del kernel è stata ottimizzata meglio per l'utilizzo della memoria e ulteriormente rafforzata disattivando alcune funzionalità non utilizzate in Amazon EC2. Le modifiche di rilievo includono:

  • ImpostatoNR_CPUS=512 da8192

  • Rimuovi diversi file system meno recenti e usaext4 -only

  • Rimuovi alcuni adattatori fisici non utilizzati in Amazon EC2

  • Eliminare una varietà di protocolli di rete inutilizzati o vecchi

  • Rimozione del supporto per il CDROM

  • Rimuovi il supporto per PS2

  • Rimuovi «contenuti multimediali» ev4l2 supporto

  • Elimina le versioni precedentiNFS//CIFSAPI trannenfsv3

  • Attiva alcune opzioni di sicurezza ottimizzate per le prestazioni

  • AccendereKFENCE (una versione più leggera diKASAN).

  • SetPANIC_ON_OOPS per tutti i tipi di appendini

  • AbilitaTCMU CONFIG_TCM_USER2 modulo

  • Elimina learm64 piattaforme inutilizzate

  • Abilitazione di CONFIG_KEXEC_SIG

  • DisabilitaCONFIG_SCHED_CORE and CONFIG_SCHED_SMT suarm64

  • Disabilita CONFIG_LDISC_AUTOLOAD

  • Abilita ilqdisc supporto CAKECONFIG_NET_SCH_CAKE

  • Aggiorna il client Lustre a2.12.8

  • Disabilita CONFIG_KSM

    CONFIG_RANDOMIZE_KSTACK_OFFSET_DEFAULT

    CONFIG_GCC_PLUGIN_STACKLEAK

    CONFIG_INIT_ON_ALLOC_DEFAULT_ON

    CONFIG_ZERO_CALL_USED_REGS

    CONFIG_KFENCE

Repository

Questo aggiornamento al repository Amazon Linux 2022 e all'AMI include i seguenti nuovi pacchetti.

  • jackson-annotations-2.11.4-6.amzn2022

  • jackson-bom-2.11.4-5.amzn2022

  • jackson-core-2.11.4-7.amzn2022

  • jackson-databind-2.11.4-6.amzn2022

  • jackson-parent-2.11-7.amzn2022

  • microdnf-3.8.1-1.amzn2022.0.1

  • snakeyaml-1.27-6.amzn2022

Il repository include i seguenti pacchetti che sono stati aggiornati dall'ultima versione.

aide-0.17.4-1.amzn2022.0.2

amazon-ec2-net-utils-2.3.0-1.amzn2022.0.1

antlr-2.7.7-69.amzn2022.0.1

aopalliance-1.0-28.amzn2022.0.2

apache-commons-exec-1.3-22.amzn2022.0.1

apache-commons-net-3.6-16.amzn2022

apache-ivy-2.5.0-10.amzn2022.0.1

args4j-2.33-19.amzn2022

aws-c-io-0.10.12-5.amzn2022.0.6

bcel-6.4.1-9.amzn2022.0.1

bouncycastle-1.70-4.amzn2022.0.1

bsf-2.4.0-44.amzn2022.0.1

bsh-2.1.0-5.amzn2022.0.1

byte-buddy-1.12.0-3.amzn2022.0.3

byteman-4.0.16-4.amzn2022.0.1

cloud-init-22.2.2-1.amzn2022.1.6

codehaus-parent-4-23.amzn2022.0.1

containerd-1.6.8-1.amzn2022.0.1

disruptor-3.4.4-3.amzn2022.0.1

dnf-4.12.0-2.amzn2022.0.3

dnf-plugin-support-info-1.0-2.amzn2022.0.3

dom4j-2.0.3-4.amzn2022

ecj-4.23-1.amzn2022.0.2

elfutils-0.187-9.amzn2022.0.1

exec-maven-plugin-3.0.0-4.amzn2022

fasterxml-oss-parent-41-5.amzn2022.0.1

freetype-2.11.0-6.amzn2022.0.1

google-gson-2.9.0-1.amzn2022.0.1

graphviz-2.44.0-25.amzn2022.0.5

hawtjni-1.18-4.amzn2022.0.1

irqbalance-1.9.0-1.amzn2022.0.2

jakarta-activation-1.2.2-6.amzn2022

jakarta-el-4.0.0-7.amzn2022

jakarta-interceptors-2.0.0-5.amzn2022

jakarta-mail-1.6.5-8.amzn2022

jakarta-oro-2.0.8-36.amzn2022

jakarta-saaj-1.4.2-6.amzn2022.0.1

jakarta-server-pages-2.3.6-7.amzn2022

janino-3.1.7-1.amzn2022

jansi1-1.18-11.amzn2022

jansi-native-1.8-9.amzn2022.0.1

java-1.8.0-amazon-corretto-1.8.0_352.b08-1.amzn2022

java-11-amazon-corretto-11.0.17+8-1.amzn2022

java-17-amazon-corretto-17.0.5+8-1.amzn2022.1

javacc-7.0.4-11.amzn2022

javacc-maven-plugin-2.6-35.amzn2022

javaparser-3.22.0-3.amzn2022

javassist-3.28.0-4.amzn2022

jaxb-2.3.5-5.amzn2022.0.1

jaxb-api-2.3.3-6.amzn2022

jaxb-dtd-parser-1.5.0-1.amzn2022.0.1

jaxb-fi-1.2.18-7.amzn2022

jaxb-istack-commons-3.0.12-3.amzn2022

jaxb-stax-ex-1.8.3-8.amzn2022

jaxen-1.2.0-10.amzn2022

jboss-parent-20-14.amzn2022

jcip-annotations-1-35.20060626.amzn2022

jctools-3.3.0-3.amzn2022.0.1

jdepend-2.9.1-29.amzn2022

jdependency-2.8.0-1.amzn2022.0.1

jline2-2.14.6-5.amzn2022

jna-5.9.0-1.amzn2022.0.1

jsch-0.1.55-7.amzn2022

jtidy-1.0-0.38.20100930svn1125.amzn2022

jzlib-1.1.3-21.amzn2022

kernel-5.15.73-45.135.amzn2022

libgcrypt-1.10.1-4.amzn2022

libidn-1.38-4.amzn2022.0.1

libstoragemgmt-1.9.4-5.amzn2022.0.1

libwebp-1.2.4-1.amzn2022.0.1

log4j-2.17.2-1.amzn2022.0.3

maven2-2.2.1-70.amzn2022

maven-archiver-3.5.1-1.amzn2022.0.1

maven-clean-plugin-3.1.0-10.amzn2022

maven-doxia-1.9.1-7.amzn2022.0.1

maven-doxia-sitetools-1.9.2-7.amzn2022

maven-invoker-3.1.0-3.amzn2022

maven-invoker-plugin-3.2.1-8.amzn2022

maven-mapping-3.0.0-16.amzn2022

maven-reporting-api-3.1.0-1.amzn2022

maven-reporting-impl-3.1.0-1.amzn2022

maven-script-interpreter-1.2-11.amzn2022

maven-shade-plugin-3.2.4-7.amzn2022

maven-verifier-plugin-1.0-30.amzn2022

nss-3.83.0-1.amzn2022.0.1

openmpi-4.1.2-3.amzn2022.0.1

perl-Graphics-TIFF-18-4.amzn2022.0.1

php8.1-8.1.7-1.amzn2022.0.4

plexus-component-api-1.0-0.34.alpha15.amzn2022.0.1

plexus-i18n-1.0-0.23.b10.4.amzn2022.0.1

plexus-velocity-1.2-15.amzn2022.0.1

reflections-0.9.12-10.amzn2022

regexp-1.5-38.amzn2022

replacer-1.6-22.amzn2022.0.1

rhino-1.7.14-3.amzn2022.0.1

s2n-tls-1.3.24-1.amzn2022.0.2

spec-version-maven-plugin-1.5-6.amzn2022

sphinx-2.2.11-24.amzn2022.0.1

systemd-250.8-1.amzn2022.0.2

system-release-2022.0.20221019-2.amzn2022

systemtap-4.7-1.amzn2022.0.3

tomcat-taglibs-parent-3-18.amzn2022

tzdata-2022e-1.amzn2022.0.1

vim-9.0.475-1.amzn2022.0.1

weld-parent-45-3.amzn2022

wsdl4j-1.6.3-24.amzn2022

xalan-j2-2.7.2-12.amzn2022.0.2

xerces-j2-2.12.1-7.amzn2022

xml-commons-apis-1.4.01-38.amzn2022

xml-commons-resolver-1.2-37.amzn2022

xmlgraphics-commons-2.7-2.amzn2022.0.2

xmlstreambuffer-1.5.10-5.amzn2022

z3-4.8.17-1.amzn2022.0.1

AMI

Immagine del contenitore Docker

amazon-linux-repo-cdn-2022.0.20221019-2.amzn2022

dnf-4.12.0-2.amzn2022.0.2

dnf-data-4.12.0-2.amzn2022.0.2

elfutils-default-yama-scope-0.187-5.amzn2022.0.3

elfutils-libelf-0.187-5.amzn2022.0.3

elfutils-libs-0.187-5.amzn2022.0.3

dnf-4.12.0-2.amzn2022.0.3

dnf-data-4.12.0-2.amzn2022.0.3

elfutils-default-yama-scope-0.187-9.amzn2022.0.1

elfutils-libelf-0.187-9.amzn2022.0.1

elfutils-libs-0.187-9.amzn2022.0.1

libgcrypt-1.9.3-3.amzn2022.0.2

libgcrypt-1.10.1-4.amzn2022

python3-dnf-4.12.0-2.amzn2022.0.2

python3-dnf-4.12.0-2.amzn2022.0.3

system-release-2022.0.20221012-0.amzn2022

tzdata-2022d-1.amzn2022.0.1

vim-data-9.0.327-1.amzn2022.0.2

vim-minimal-9.0.327-1.amzn2022.0.2

system-release-2022.0.20221019-2.amzn2022

tzdata-2022e-1.amzn2022.0.1

vim-data-9.0.475-1.amzn2022.0.1

vim-minimal-9.0.475-1.amzn2022.0.1

yum-4.12.0-2.amzn2022.0.2

yum-4.12.0-2.amzn2022.0.3

AMI predefinito

amazon-ec2-net-utils-2.2.0-1.amzn2022.0.1

amazon-ec2-net-utils-2.3.0-1.amzn2022.0.1

amazon-linux-repo-s3-2022.0.20221019-2.amzn2022

aws-c-io-libs-0.10.12-5.amzn2022.0.2

aws-c-io-libs-0.10.12-5.amzn2022.0.6

cloud-init-22.2.2-1.amzn2022.1.5

cloud-init-22.2.2-1.amzn2022.1.6

dnf-4.12.0-2.amzn2022.0.2

dnf-data-4.12.0-2.amzn2022.0.2

dnf-4.12.0-2.amzn2022.0.3

dnf-data-4.12.0-2.amzn2022.0.3

dnf-plugin-support-info-1.0-2.amzn2022.0.2

dnf-plugin-support-info-1.0-2.amzn2022.0.3

elfutils-debuginfod-client-0.187-5.amzn2022.0.3

elfutils-default-yama-scope-0.187-5.amzn2022.0.3

elfutils-libelf-0.187-5.amzn2022.0.3

elfutils-libs-0.187-5.amzn2022.0.3

elfutils-debuginfod-client-0.187-9.amzn2022.0.1

elfutils-default-yama-scope-0.187-9.amzn2022.0.1

elfutils-libelf-0.187-9.amzn2022.0.1

elfutils-libs-0.187-9.amzn2022.0.1

irqbalance-1.8.0-2.amzn2022.0.2

irqbalance-1.9.0-1.amzn2022.0.2

kernel-5.15.57-30.131.amzn2022

kernel-tools-5.15.57-30.131.amzn2022

kernel-5.15.73-45.135.amzn2022

kernel-tools-5.15.73-45.135.amzn2022

libgcrypt-1.9.3-3.amzn2022.0.2

libgcrypt-1.10.1-4.amzn2022

libstoragemgmt-1.9.2-4.amzn2022.0.1

libstoragemgmt-1.9.4-5.amzn2022.0.1

nspr-4.32.0-5.amzn2022.0.1

nss-3.77.0-2.amzn2022.0.1

nss-softokn-3.77.0-2.amzn2022.0.1

nss-softokn-freebl-3.77.0-2.amzn2022.0.1

nss-sysinit-3.77.0-2.amzn2022.0.1

nss-util-3.77.0-2.amzn2022.0.1

3nspr-4.35.0-1.amzn2022.0.1

nss-3.83.0-1.amzn2022.0.1

nss-softokn-3.83.0-1.amzn2022.0.1

nss-softokn-freebl-3.83.0-1.amzn2022.0.1

nss-sysinit-3.83.0-1.amzn2022.0.1

nss-util-3.83.0-1.amzn2022.0.1

python3-dnf-4.12.0-2.amzn2022.0.2

python3-dnf-4.12.0-2.amzn2022.0.3

python3-libstoragemgmt-1.9.2-4.amzn2022.0.1

python3-libstoragemgmt-1.9.4-5.amzn2022.0.1

s2n-tls-1.3.2-3.amzn2022.0.2

s2n-tls-libs-1.3.2-3.amzn2022.0.2

s2n-tls-1.3.24-1.amzn2022.0.2

s2n-tls-libs-1.3.24-1.amzn2022.0.2

system-release-2022.0.20221012-0.amzn2022

systemd-250.8-1.amzn2022.0.1

systemd-libs-250.8-1.amzn2022.0.1

systemd-networkd-250.8-1.amzn2022.0.1

systemd-pam-250.8-1.amzn2022.0.1

systemd-resolved-250.8-1.amzn2022.0.1

systemd-udev-250.8-1.amzn2022.0.1

systemtap-runtime-4.7-1.amzn2022.0.2

system-release-2022.0.20221019-2.amzn2022

systemd-250.8-1.amzn2022.0.2

systemd-libs-250.8-1.amzn2022.0.2

systemd-networkd-250.8-1.amzn2022.0.2

systemd-pam-250.8-1.amzn2022.0.2

systemd-resolved-250.8-1.amzn2022.0.2

systemd-udev-250.8-1.amzn2022.0.2

systemtap-runtime-4.7-1.amzn2022.0.3

tzdata-2022d-1.amzn2022.0.1

tzdata-2022e-1.amzn2022.0.1

vim-common-9.0.327-1.amzn2022.0.2

vim-data-9.0.327-1.amzn2022.0.2

vim-enhanced-9.0.327-1.amzn2022.0.2

vim-filesystem-9.0.327-1.amzn2022.0.2

vim-minimal-9.0.327-1.amzn2022.0.2

vim-common-9.0.475-1.amzn2022.0.1

vim-data-9.0.475-1.amzn2022.0.1

vim-enhanced-9.0.475-1.amzn2022.0.1

vim-filesystem-9.0.475-1.amzn2022.0.1

vim-minimal-9.0.475-1.amzn2022.0.1

yum-4.12.0-2.amzn2022.0.2

yum-4.12.0-2.amzn2022.0.3

AMI minimo

amazon-ec2-net-utils-2.2.0-1.amzn2022.0.1

amazon-ec2-net-utils-2.3.0-1.amzn2022.0.1

amazon-linux-repo-s3-2022.0.20221019-2.amzn2022

aws-c-io-libs-0.10.12-5.amzn2022.0.2

aws-c-io-libs-0.10.12-5.amzn2022.0.6

cloud-init-22.2.2-1.amzn2022.1.5

cloud-init-22.2.2-1.amzn2022.1.6

dnf-4.12.0-2.amzn2022.0.2

dnf-data-4.12.0-2.amzn2022.0.2

dnf-4.12.0-2.amzn2022.0.3

dnf-data-4.12.0-2.amzn2022.0.3

dnf-plugin-support-info-1.0-2.amzn2022.0.2

dnf-plugin-support-info-1.0-2.amzn2022.0.3

elfutils-default-yama-scope-0.187-5.amzn2022.0.3

elfutils-libelf-0.187-5.amzn2022.0.3

elfutils-libs-0.187-5.amzn2022.0.3

elfutils-default-yama-scope-0.187-9.amzn2022.0.1

elfutils-libelf-0.187-9.amzn2022.0.1

elfutils-libs-0.187-9.amzn2022.0.1

irqbalance-1.8.0-2.amzn2022.0.2

irqbalance-1.9.0-1.amzn2022.0.2

kernel-5.15.57-30.131.amzn2022

kernel-5.15.73-45.135.amzn2022

libgcrypt-1.9.3-3.amzn2022.0.2

libgcrypt-1.10.1-4.amzn2022